[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.Equals

Check if two objects are equal.

## Declaration

Source position: objpash.inc line 239

`public function TObject.Equals(`
`Obj: TObject`
`):Boolean; virtual;`

## Description

Equals returns True if the object instance pointer (Self) equals the instance pointer Obj.

Descendent classes can override to check properties etc. in case the instance pointers are different.

## See also

TObject.GetHashCode |  | Return a hash code for the object
TObject.ToString |  | Return a string representation for the object

Documentation generated on: Feb 26 2014